Bug 140336 - REGRESSION(r178029): [GTK][EFL] Caused no-backing-for-clip-overlap test failures
Summary: REGRESSION(r178029): [GTK][EFL] Caused no-backing-for-clip-overlap test failures
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 138551
  Show dependency treegraph
 
Reported: 2015-01-10 05:43 PST by Byungseon Shin
Modified: 2015-01-12 16:35 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.84 KB, patch)
2015-01-10 06:01 PST, Byungseon Shin
no flags Details | Formatted Diff | Diff
Error Capture after r178029 (8.40 KB, image/png)
2015-01-10 06:09 PST, Byungseon Shin
no flags Details
Expected Result (8.51 KB, image/png)
2015-01-10 06:10 PST, Byungseon Shin
no flags Details
Patch (2.85 KB, patch)
2015-01-11 04:40 PST, Byungseon Shin
no flags Details | Formatted Diff | Diff
Patch (2.89 KB, patch)
2015-01-12 15:51 PST, Byungseon Shin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Byungseon Shin 2015-01-10 05:43:36 PST
Revision r178176: <http://trac.webkit.org/changeset/178176> caused no-backing-for-clip-overlap test failures on GTK Platform.

The following test is failing on platform GTK:
compositing/backing/no-backing-for-clip-overlap.html
Comment 1 Byungseon Shin 2015-01-10 06:01:54 PST
Created attachment 244408 [details]
Patch
Comment 2 Byungseon Shin 2015-01-10 06:09:13 PST
Created attachment 244409 [details]
Error Capture after r178029
Comment 3 Byungseon Shin 2015-01-10 06:10:49 PST
Created attachment 244410 [details]
Expected Result
Comment 4 Gyuyoung Kim 2015-01-10 23:01:38 PST
Comment on attachment 244408 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244408&action=review

> Source/WebCore/ChangeLog:3
> +        [GTK] Fix regression introduced in r178029

It seems this patch is not only for [GTK] port.
Comment 5 Gyuyoung Kim 2015-01-10 23:05:03 PST
Comment on attachment 244408 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244408&action=review

>> Source/WebCore/ChangeLog:3
>> +        [GTK] Fix regression introduced in r178029
> 
> It seems this patch is not only for [GTK] port.

Besides this title differs from Bugzilla title.

REGRESSION(r178029): [GTK] Caused no-backing-for-clip-overlap test failures
Comment 6 Byungseon Shin 2015-01-11 04:40:56 PST
Created attachment 244422 [details]
Patch
Comment 7 Byungseon Shin 2015-01-11 04:42:49 PST
Comment on attachment 244408 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244408&action=review

>>> Source/WebCore/ChangeLog:3
>>> +        [GTK] Fix regression introduced in r178029
>> 
>> It seems this patch is not only for [GTK] port.
> 
> Besides this title differs from Bugzilla title.
> 
> REGRESSION(r178029): [GTK] Caused no-backing-for-clip-overlap test failures

Thanks for the review. I have updated ChangeLog.
Comment 8 Simon Fraser (smfr) 2015-01-12 15:38:12 PST
Comment on attachment 244422 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=244422&action=review

> Source/WebCore/ChangeLog:8
> +        Creating childClippingMaskLayer when renderer has border radius or clip path.

Avoid creating...?
Comment 9 Byungseon Shin 2015-01-12 15:51:15 PST
Created attachment 244474 [details]
Patch
Comment 10 WebKit Commit Bot 2015-01-12 16:35:25 PST
Comment on attachment 244474 [details]
Patch

Clearing flags on attachment: 244474

Committed r178308: <http://trac.webkit.org/changeset/178308>
Comment 11 WebKit Commit Bot 2015-01-12 16:35:31 PST
All reviewed patches have been landed.  Closing bug.